GCLOUD_CONTAINER_CLUSTERS_CREATE(1)

NAME

gcloud container clusters create - create a cluster for running containers

SYNOPSIS

gcloud container clusters create NAME [--additional-zones=ZONE,[ZONE,...]] [--async] [--cluster-ipv4-cidr=CLUSTER_IPV4_CIDR] [--disable-addons=[DISABLE_ADDONS,...]] [--disk-size=DISK_SIZE] [--no-enable-cloud-endpoints] [--no-enable-cloud-logging] [--no-enable-cloud-monitoring] [--image-type=IMAGE_TYPE] [--machine-type=MACHINE_TYPE, -m MACHINE_TYPE] [--max-nodes-per-pool=MAX_NODES_PER_POOL] [--network=NETWORK] [--node-labels=[NODE_LABELS,...]] [--num-nodes=NUM_NODES; default="3"] [--password=PASSWORD] [--scopes=SCOPE,[SCOPE,...]] [--subnetwork=SUBNETWORK] [--tags=TAG,[TAG,...]] [--username=USERNAME, -u USERNAME; default="admin"] [--wait] [--zone=ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Create a cluster for running containers.

POSITIONAL ARGUMENTS

    NAME
        The name of this cluster.

FLAGS

    --additional-zones=ZONE,[ZONE,...]
        The set of additional zones in which the specified node footprint should be replicated. All zones must be in the same region as the cluster's primary zone. If additional-zones is not specified, all nodes will be in the cluster's primary zone. Note that NUM_NODES nodes will be created in each zone, such that if you specify --num-nodes=4 and choose one additional zone, 8 nodes will be created. Multiple locations can be specified, separated by commas. For example:
        $ gcloud container clusters create example-cluster \
            --zone us-central1-a \
            --additional-zones us-central1-b,us-central1-c

    --async
        Don't wait for the operation to complete.

    --cluster-ipv4-cidr=CLUSTER_IPV4_CIDR
        The IP address range for the pods in this cluster in CIDR notation (e.g. 10.0.0.0/14). Due to kube-proxy limitations, this range must be a subset of the 10.0.0.0/8 space. Defaults to server-specified.

    --disable-addons=[DISABLE_ADDONS,...]
        List of cluster addons to disable. Options are HttpLoadBalancing, HorizontalPodAutoscaling. DISABLE_ADDONS must be one of: HttpLoadBalancing, HorizontalPodAutoscaling.

    --disk-size=DISK_SIZE
        Size in GB for node VM boot disks. Defaults to 100GB.

    --enable-cloud-endpoints
        Automatically enable Google Cloud Endpoints to take advantage of API management features. Enabled by default, use --no-enable-cloud-endpoints to disable.

    --enable-cloud-logging
        Automatically send logs from the cluster to the Google Cloud Logging API. Enabled by default, use --no-enable-cloud-logging to disable.

    --enable-cloud-monitoring
        Automatically send metrics from pods in the cluster to the Google Cloud Monitoring API. VM metrics will be collected by Google Compute Engine regardless of this setting. Enabled by default, use --no-enable-cloud-monitoring to disable.

    --image-type=IMAGE_TYPE
        The image type to use for the cluster. Defaults to server-specified. Image Type specifies the base OS that the nodes in the cluster will run on. If an image type is specified, that will be assigned to the cluster and all future upgrades will use the specified image type. If it is not specified the server will pick the default image type. The default image type and the list of valid image types are available using the following command.
        $ gcloud container get-server-config

    --machine-type=MACHINE_TYPE, -m MACHINE_TYPE
        The type of machine to use for nodes. Defaults to n1-standard-1.

    --max-nodes-per-pool=MAX_NODES_PER_POOL
        The maximum number of nodes to allocate per default initial node pool. Container engine will automatically create enough nodes pools such that each node pool contains less than --max-nodes-per-pool nodes. Defaults to 1000 nodes, but can be set as low as 100 nodes per pool on initial create.

    --network=NETWORK
        The Compute Engine Network that the cluster will connect to. Google Container Engine will use this network when creating routes and firewalls for the clusters. Defaults to the 'default' network.

    --node-labels=[NODE_LABELS,...]
        Applies the given kubernetes labels on all nodes in the new node-pool. Example:
        $ gcloud container clusters create example-cluster \
            --node-labels=label-a=value1,label-2=value2
    New nodes, including ones created by resize or recreate, will have these labels on the kubernetes API node object and can be used in nodeSelectors. See http://kubernetes.io/docs/user-guide/node-selection/ for examples.

    --num-nodes=NUM_NODES; default="3"
        The number of nodes to be created in each of the cluster's zones.

    --password=PASSWORD
        The password to use for cluster auth. Defaults to a server-specified randomly-generated string.

    --scopes=SCOPE,[SCOPE,...]
        Specifies scopes for the node instances. The project's default service account is used. Examples:
        $ gcloud container clusters create example-cluster \
            --scopes https://www.googleapis.com/auth/devstorage.read_only
        $ gcloud container clusters create example-cluster \
            --scopes bigquery,storage-rw,compute-ro
    Multiple SCOPEs can specified, separated by commas. The scopes necessary for the cluster to function properly (compute-rw, storage-ro), are always added, even if not explicitly specified. SCOPE can be either the full URI of the scope or an alias. Available aliases are:
    Alias | URI
    bigquery | https://www.googleapis.com/auth/bigquery
    cloud-platform | https://www.googleapis.com/auth/cloud-platform
    cloud-source-repos | https://www.googleapis.com/auth/source.full_control
    cloud-source-repos-ro | https://www.googleapis.com/auth/source.read_only
    compute-ro | https://www.googleapis.com/auth/compute.readonly
    compute-rw | https://www.googleapis.com/auth/compute
    datastore | https://www.googleapis.com/auth/datastore
    default | https://www.googleapis.com/auth/cloud.useraccounts.readonly
     | https://www.googleapis.com/auth/devstorage.read_only
     | https://www.googleapis.com/auth/logging.write
     | https://www.googleapis.com/auth/monitoring.write
     | https://www.googleapis.com/auth/service.management.readonly
     | https://www.googleapis.com/auth/servicecontrol
    logging-write | https://www.googleapis.com/auth/logging.write
    monitoring | https://www.googleapis.com/auth/monitoring
    monitoring-write | https://www.googleapis.com/auth/monitoring.write
    service-control | https://www.googleapis.com/auth/servicecontrol
    service-management | https://www.googleapis.com/auth/service.management.readonly
    sql | https://www.googleapis.com/auth/sqlservice
    sql-admin | https://www.googleapis.com/auth/sqlservice.admin
    storage-full | https://www.googleapis.com/auth/devstorage.full_control
    storage-ro | https://www.googleapis.com/auth/devstorage.read_only
    storage-rw | https://www.googleapis.com/auth/devstorage.read_write
    taskqueue | https://www.googleapis.com/auth/taskqueue
    useraccounts-ro | https://www.googleapis.com/auth/cloud.useraccounts.readonly
    useraccounts-rw | https://www.googleapis.com/auth/cloud.useraccounts
    userinfo-email | https://www.googleapis.com/auth/userinfo.email

    --subnetwork=SUBNETWORK
        The name of the Google Compute Engine subnetwork (https://cloud.google.com/compute/docs/subnetworks) to which the cluster is connected. If specified, the cluster's network must be a "custom subnet" network.

    --tags=TAG,[TAG,...]
        Applies the given Compute Engine tags (comma separated) on all nodes in the new node-pool. Example:
        $ gcloud container clusters create example-cluster --tags=tag1,tag2
    New nodes, including ones created by resize or recreate, will have these tags on the Compute Engine API instance object and can be used in firewall rules. See https://cloud.google.com/sdk/gcloud/reference/compute/firewall-rules/create for examples.

    --username=USERNAME, -u USERNAME; default="admin"
        The user name to use for cluster auth.

    --wait
        DEPRECATED, use --no-async. Poll the operation for completion after issuing a create request.

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.